@echo off
title Update Vitis tree
echo Update Vitis tree
setlocal EnableDelayedExpansion

cd utils

REM Pull repo
"C:\Program Files\Git\bin\sh.exe" --login -i -c "git pull"

REM Pull subtrees
"C:\Program Files\Git\bin\sh.exe" --login -i -c "./pull_subtrees.sh"

REM Save important files
if exist "../vas/rest/sql" (
  robocopy "../vas/rest/sql" "../vas/rest/sql_bak" /E /NFL /NDL /NJH /NJS /nc /ns /np
)
if exist "../vas/rest/conf" (
  robocopy "../vas/rest/conf" "../vas/rest/conf_bak" /E /NFL /NDL /NJH /NJS /nc /ns /np
)

REM Replace Vitis files
for /d %%g in ("../src/vitis/client/*") do (
  set x=%%g
  echo copy client/!x!
  rmdir /S /Q "../client/!x!"
  robocopy "../src/vitis/client/!x!" "../client/!x!" /E /NFL /NDL /NJH /NJS /nc /ns /np
)
for /d %%g in ("../src/vitis/vas/sql") do (
  echo copy vas/sql
  rmdir /S /Q "../vas/sql"
  robocopy "../src/vitis/vas/sql" "../vas/sql" /E /NFL /NDL /NJH /NJS /nc /ns /np
)
for /d %%g in ("../src/vitis/vas/rest/class") do (
  echo copy vas/rest/class
  rmdir /S /Q "../vas/rest/class"
  robocopy "../src/vitis/vas/rest/class" "../vas/rest/class" /E /NFL /NDL /NJH /NJS /nc /ns /np
)
for /d %%g in ("../src/vitis/vas/rest/conf") do (
  echo copy vas/rest/conf
  robocopy "../src/vitis/vas/rest/conf" "../vas/rest/conf_veremes" /E /NFL /NDL /NJH /NJS /nc /ns /np
)
for /d %%g in ("../src/vitis/vas/rest/inc") do (
  echo copy vas/rest/inc
  rmdir /S /Q "../vas/rest/inc"
  robocopy "../src/vitis/vas/rest/inc" "../vas/rest/inc" /E /NFL /NDL /NJH /NJS /nc /ns /np
)
for /d %%g in ("../src/vitis/vas/rest/ws") do (
  echo copy vas/rest/ws
  rmdir /S /Q "../vas/rest/ws"
  robocopy "../src/vitis/vas/rest/ws" "../vas/rest/ws" /E /NFL /NDL /NJH /NJS /nc /ns /np
)

REM Replace modules files
for /d %%g in ("../src/module_*") do (
  set x=%%g
  if exist "../src/%%g/module" (
    echo copy client/modules/!x:~7!
    robocopy "../src/%%g/module" "../client/modules/!x:~7!" /E /NFL /NDL /NJH /NJS /nc /ns /np
  )
  if exist "../src/%%g/web_service/conf" (
    echo copy vas/rest/conf_veremes/!x:~7!
    robocopy "../src/%%g/web_service/conf" "../vas/rest/conf_veremes/!x:~7!" /E /NFL /NDL /NJH /NJS /nc /ns /np
  )
  if exist "../src/%%g/web_service/sql" (
    echo copy vas/sql/!x:~7!
    robocopy "../src/%%g/web_service/sql" "../vas/sql/!x:~7!" /E /NFL /NDL /NJH /NJS /nc /ns /np
  )
  if exist "../src/%%g/web_service/ws" (
    echo copy vas/rest/ws/!x:~7!
    robocopy "../src/%%g/web_service/ws" "../vas/rest/ws/!x:~7!" /E /NFL /NDL /NJH /NJS /nc /ns /np
  )
  if exist "../src/%%g/web_service/class" (
    echo copy vas/rest/class
    robocopy "../src/%%g/web_service/class" "../vas/rest/class" /E /NFL /NDL /NJH /NJS /nc /ns /np
  )
)


cd ..
